import type { QueryResolvers, MutationResolvers } from 'types/graphql'

import { db } from 'src/lib/db'

export const nachhilfeangebots: QueryResolvers['nachhilfeangebots'] = () => {
  return db.nachhilfeangebot.findMany()
}

export const nachhilfeangebot: QueryResolvers['nachhilfeangebot'] = ({
  id,
}) => {
  return {
    ...db.nachhilfeangebot.findUnique({
      where: { id },
    }),
    user: db.nachhilfeangebot.findUnique({ where: { id } }).user(),
  }
}

export const createNachhilfeangebot: MutationResolvers['createNachhilfeangebot'] =
  ({ input }) => {
    return db.nachhilfeangebot.create({
      data: {
        ...input,
        userId: context.currentUser.id,
      },
    })
  }

export const updateNachhilfeangebot: MutationResolvers['updateNachhilfeangebot'] =
  ({ id, input }) => {
    return db.nachhilfeangebot.update({
      data: input,
      where: { id },
    })
  }

export const deleteNachhilfeangebot: MutationResolvers['deleteNachhilfeangebot'] =
  ({ id }) => {
    return db.nachhilfeangebot.delete({
      where: { id },
    })
  }
